package org.jssec.android.autofillframework.autofillservice.settings;

import android.os.Bundle;
import android.app.Activity;
import android.view.View;
import android.widget.Toast;

import org.jssec.android.autofillframework.R;
import org.jssec.android.autofillframework.autofillservice.Database;

public class SettingsActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.settings_activity);

        findViewById(R.id.button_clear).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                clearAll();
            }
        });
    }

    private void clearAll() {
        Database db = new Database(this);
        db.clearAll();

        Toast.makeText(this, "Cleared all data!", Toast.LENGTH_LONG).show();
    }
}
