protected void onStart() {
    super.onStart();
    
    // 〜省略〜
    if (privacyPolicyAgreed <= VERSION_TO_SHOW_COMPREHENSIVE_AGREEMENT_ANEW) {
        // ★ポイント★ 初回起動時(アップデート時)に、ユーザーによる取り換えが困難、または、
        // 慎重な取り扱いが求められる利用者情報の送信について包括同意を得る
        // アップデート時については、新しい利用者情報を扱うようになった場合にのみ、再度包括同意を得る必要がある。
        ConfirmFragment dialog =
		ConfirmFragment.newInstance(R.string.privacyPolicy,
					    R.string.agreePrivacyPolicy,
					    DIALOG_TYPE_COMPREHENSIVE_AGREEMENT);
        dialog.setDialogListener(this);
        FragmentManager fragmentManager = getSupportFragmentManager();
        dialog.show(fragmentManager, "dialog");
    }
